Page MenuHomePhabricator

Target widget looks confusing without an outline
Closed, ResolvedPublic

Description

It is difficult to recognise the target widget as an editing area, because it has no outline.

From T190885:

Event Timeline

Tchanders created this task.Oct 2 2018, 6:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 6:02 PM
Tchanders moved this task from To Triage to Q4 on the VisualEditor board.Oct 3 2018, 2:43 PM
JTannerWMF moved this task from Q4 to Current work on the VisualEditor board.Oct 3 2018, 4:59 PM
JTannerWMF edited projects, added VisualEditor (Current work); removed VisualEditor.

TargetWidget borders are defined by OOUI skin (in src/themes/wikimediaui.css & src/themes/apex.css), but no file is loaded for Minerva. This should be pretty trivial to fix in extension.json.

Esanders claimed this task.Oct 3 2018, 9:20 PM
Esanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 464434 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix OOUI->MW theme mappings in extension.json

https://gerrit.wikimedia.org/r/464434

Change 464434 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix OOUI->MW theme mappings in extension.json

https://gerrit.wikimedia.org/r/464434

Ryasmeen awarded a token.
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
Deskana added a subscriber: Deskana.

Probably counts as mobile-related given that the above comments indicate it improves the editing environment in Minerva...

Deskana closed this task as Resolved.Oct 11 2018, 3:13 PM
Deskana triaged this task as Normal priority.